Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class DecimalDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.DecimalDatatypeValidator

public class DecimalDatatypeValidator
extends AbstractDatatypeValidator

DecimalValidator validates that content satisfies the W3C XML Datatype for decimal

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: DecimalDatatypeValidator.java,v 1.12 2000/08/02 02:47:55 jeffreyr Exp $
Author:
  Ted Leung, Jeffrey Rodriguez
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DecimalDatatypeValidator()`
`DecimalDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`void` | `boundsCheck(java.math.BigDecimal d)`
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String content1, java.lang.String content2)`
`java.util.Hashtable` | `getFacets()`
`void` | `setLocale(java.util.Locale locale)` set the locate to be used for error messages
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` validate that a string matches the decimal datatype validate returns true or false depending on whether the string content is a W3C decimal type.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecimalDatatypeValidator

    public DecimalDatatypeValidator()
                             throws InvalidDatatypeFacetException

### DecimalDatatypeValidator

    public DecimalDatatypeValidator(DatatypeValidator base,
                                    java.util.Hashtable facets,
                                    boolean derivedByList)
                             throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  validate that a string matches the decimal datatype validate returns true or false depending on whether the string content is a W3C decimal type.

  Parameters:
    `content` - A string containing the content to be validated cd
  Throws:
    throws - InvalidDatatypeException if the content is is not a W3C decimal type
  Overrides:
    validate in class AbstractDatatypeValidator

### boundsCheck

    public void boundsCheck(java.math.BigDecimal d)
                     throws InvalidDatatypeValueException

### setLocale

    public void setLocale(java.util.Locale locale)

  set the locate to be used for error messages

### getFacets

    public java.util.Hashtable getFacets()

  Overrides:
    getFacets in class AbstractDatatypeValidator

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class AbstractDatatypeValidator

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

  Overrides:
    compare in class AbstractDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD